import React from 'react'
import Title from '../components/Title'
import ServicesContainer from '../components/ServicesContainer'
import Badge from '../components/Badge'
import { Rocket, Solution, Focus, Cummunication, Support, Electron } from '../components/Icons'
import CommitmentCard from '../components/CommitmentCard'

const whyChooseUs = [
    {
        icon: <Rocket />,
        label: "Specialized Expertise",
        description: "Our team boasts specialized expertise, honed through years of experience in the oil and gas sector. Trust us to bring unmatched proficiency to your projects.",
    },
    {
        icon: <Solution />,
        label: "Innovative Solutions",
        description: "We're dedicated to innovation, constantly seeking new ways to enhance efficiency and effectiveness in the oil and gas industry. Let us pioneer solutions that propel your operations forward.",
    },
    {
        icon: <Focus />,
        label: "Client-Centered Approach",
        description: "Your needs are at the heart of everything we do. With a focus on client satisfaction, we tailor our services to align perfectly with your objectives and exceed your expectations.",
    },
    {
        icon: <Cummunication />,
        label: "Transparent Collaboration",
        description: "Collaboration is key to success. We believe in transparent communication and collaboration, ensuring you're informed and involved at every stage of the process.",
    },
    {
        icon: <Support />,
        label: "Comprehensive Support",
        description: "From project inception to completion, we're committed to providing unwavering support. Count on us to be by your side, offering guidance and assistance whenever you need it.",
    },
    {
        icon: <Electron />,
        label: "Industry-Leading Solutions",
        description: "Our track record speaks for itself. With a history of delivering industry-leading solutions, we're your reliable partner for success in the oil and gas sector.",
    },
]

const page = () => {
    return (
        <div className='pt-4 pb-12 md:py-16 px-3 sm:px-12 2xl:px-[12%] flex flex-col gap-12 md:gap-20 lg:gap-24'>
            <div className="w-full flex flex-col gap-8 sm:gap-12 md:gap-14 lg:gap-20 items-center justify-center">
                <Title label="Discover Our Services" />
                <ServicesContainer count={10} />
            </div>

            <section>
                {/* Title */}
                <div className="flex flex-col items-center justify-center gap-6 md:items-end my-8 md:my-12">
                    <div className="w-full flex flex-col gap-2 xl:gap-4 items-center justify-center">
                        <Badge label="WHY CHOOSE US" />
                        <Title label="Why We are Your Best Choice" />
                    </div>
                </div>

                <div className="grid grid-cols-1 grid-rows-3 md:grid-cols-3 md:grid-rows-1 gap-3 mt-20">
                    {
                        whyChooseUs.map((commitment, index) => {
                            return <CommitmentCard key={index} icon={commitment.icon} label={commitment.label} description={commitment.description} />
                        })
                    }
                </div>
            </section>
        </div>
    )
}

export default page